SupportedTypes:
  - account
  - archive
  - archive_index
  - cloud_connection
  - tenant_index
  - share
  - asz
  - generic
  - san
  - db
  - folder
  - psk
  - integration_manager
  - one_click_recovery
  - reboot_sysinfo
TypeInfo:
  account:
    SupportedValues:
      - acronis
      - o365
      - ms_exchange
      - gsuite
      - computer
      - esx
      - vcenter
      - scale
      - ovirt
      - ldap
      - azure
      - vm_guest_system
  archive:
    EmptyIdentityAllowed: True
    SupportedValues:
      - endpoint
      - o365
      - gsuite
      - archmail
      - exchange
      - pst
      - ""
  archive_index:
    EmptyIdentityAllowed: True
    UpdateSecretNotAllowed: True
    SupportedValues:
      - endpoint
      - o365
      - gsuite
      - archmail
      - ""
  cloud_connection:
    SupportedValues:
      - azure
  tenant_index:
    EmptyIdentityAllowed: True
    UpdateSecretNotAllowed: True
    SupportedValues:
      - ""
  share:
    SupportedValues:
      - smb
      - nfs
      - sftp
    Constraints:
      smb:
        EmptySecretAllowed: True
  asz:
    EmptyIdentityAllowed: True
    SupportedValues:
      - ""
  generic:
    SupportedValues:
      - script
  san:
    SupportedValues:
      - ""
  db:
    SupportedValues:
      - "mysql"
      - "mssql"
  folder:
    SupportedValues:
      - ""
  psk:
    EmptyIdentityAllowed: True
    SupportedValues:
      - ""
  integration_manager:
    EmptyIdentityAllowed: True
    SupportedValues:
      - command
      - jamf
      - harmony
      - nable
      - tigerpaw
      - ninjarmm
      - kaseya-bms
      - datto-rmm
      - paessler
  one_click_recovery:
    EmptyIdentityAllowed: True
    SupportedValues:
      - ""
  reboot_sysinfo:
    EmptyIdentityAllowed: True
    SupportedValues:
      - ""
